Last Comment Bug 1244402 - Let touch events on windows ride the trains
: Let touch events on windows ride the trains
Status: RESOLVED FIXED
[gfx-noted]
: dev-doc-complete, feature, site-compat
Product: Core
Classification: Components
Component: Panning and Zooming (show other bugs)
: unspecified
: All Windows 8
-- normal with 1 vote (vote)
: mozilla52
Assigned To: (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com)
:
: (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com)
Mentors:
: 1166732 (view as bug list)
Depends on: 1261709 1299239 1299243 1299625 1300723 1306634 1147335 1158087 1162771 1180706 1195722 1249748 1250024 1256339 1256340 1256341 1256344 1285566 1289432 1291381 1292572 1292904 1293483 1298102 1298130 1298704 1298886 1298908 1299305 1300203 1300218 1300878 1300905 1302736 1302737 1304263 1304703 1304729 1307252 1322349 1328285
Blocks: apz-desktop 769114 861876 1187439 1197161 1204250 1235207 1255436 1272268 1325851
  Show dependency treegraph
 
Reported: 2016-01-29 20:02 PST by (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com)
Modified: 2017-02-08 06:30 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
52+

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1244402 - Allow touch events on Windows to ride the trains. (58 bytes, text/x-review-board-request)
2016-10-04 10:50 PDT, (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com)
jmathies: review+
Details | Review

Description User image (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com) 2016-01-29 20:02:27 PST
In bug 1180706 I turned on touch events for windows nightly builds. This bug is to let it ride the trains. There will be some UX tweaking needed, as well as compat testing to make sure websites that feature-detect touch events don't suddenly start misbehaving on windows touch devices.
Comment 1 User image Kohei Yoshino [:kohei] 2016-02-11 16:16:31 PST
This could be first enabled in Developer Edition as well so that webdevs will be able to test their sites easier without having to toggle the pref. I'll post the site compatibility document at some point.

# Why Mozilla doesn't have any consistent policy on experimental features? Some features are available both in Nightly and DevEdition, some are only in Nightly, some are disabled by default. That really sucks.
Comment 2 User image (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com) 2016-02-22 07:37:39 PST
*** Bug 1166732 has been marked as a duplicate of this bug. ***
Comment 3 User image Liz Henry (:lizzard) (needinfo? me) 2016-06-27 12:04:32 PDT
Marking this as a feature to help QA/relman keep track of upcoming work. 
kats are we still planning to ship apz with e10s in 48?  Should/can we prevent that for touchscreen devices? I just noticed a bug that blocks this feature shipping, and this bug is marked as blocking apz for desktop.
Comment 4 User image (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com) 2016-06-27 12:11:31 PDT
We are still planning to ship APZ with e10s in 48, yes. Touch support on Windows will not ship in 48, it is still being worked on. This bug is marked as blocking bug 1013364 ("apz-desktop") but that's a very general meta bug for all desktop apz-related things. The 48 blockers list is hanging off bug 1254668 (and is empty).
Comment 5 User image Liz Henry (:lizzard) (needinfo? me) 2016-06-27 14:57:19 PDT
Thanks, that clarifies things! I'll keep it in mind for the other bugs that come up.
Comment 6 User image (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com) 2016-09-28 09:47:35 PDT
This is getting close to done. Once all the things that are currently inflight land I'd be happy to flip the switch and let this ride the trains. There are still some outstanding bugs blocking this one but I don't consider any of those ship-blockers and at least some of them can be worked on further and uplifted before this goes to release.

Unfortunately the accessibility rewrite is still ongoing and so e10s is still not yet enabled by default on touch devices so we're still not getting a lot of users exercising this code.
Comment 7 User image (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com) 2016-10-04 10:50:09 PDT Comment hidden (mozreview-request)
Comment 8 User image (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com) 2016-10-04 10:51:55 PDT
Note that this patch enables:
- DOM touchevents on platforms that don't have it already (windows)
- APZ touch scrolling on platforms that don't have it already (windows)
- touch-action on all platforms (windows, linux, android)
- accessible caret on all platforms that don't have it already (windows, linux)
Comment 9 User image Jim Mathies [:jimm] 2016-10-04 13:05:54 PDT
Comment on attachment 8797705 [details]
Bug 1244402 - Allow touch events on Windows to ride the trains.

https://reviewboard.mozilla.org/r/83358/#review81890
Comment 10 User image Pulsebot 2016-10-05 05:03:36 PDT
Pushed by kgupta@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/6955ebc6baf1
Allow touch events on Windows to ride the trains. r=jimm
Comment 11 User image (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com) 2016-10-05 05:04:37 PDT
I also sent an intent to ship to dev-platform: https://groups.google.com/d/msg/mozilla.dev.platform/6CGjsm1XpD4/GDbW6mCDAQAJ
Comment 12 User image Carsten Book [:Tomcat] 2016-10-06 03:04:29 PDT
https://hg.mozilla.org/mozilla-central/rev/6955ebc6baf1
Comment 13 User image Kohei Yoshino [:kohei] 2016-10-06 06:55:12 PDT
Posted the site compatibility doc: https://www.fxsitecompat.com/en-CA/docs/2016/touch-event-support-has-been-re-enabled-on-windows-desktop/
Comment 14 User image Kohei Yoshino [:kohei] 2016-11-18 13:39:53 PST
Release Note Request (optional, but appreciated)
[Why is this notable]:
[Affects Firefox for Android]:
[Suggested wording]:
[Links (documentation, blog post, etc)]:
Comment 15 User image Chris Mills (Mozilla, MDN editor) [:cmills] 2017-01-11 07:00:23 PST
I've added a note into all appropriate pages under the touch events docs to make the change clear (see https://developer.mozilla.org/en-US/docs/Web/API/Touch_events). 

I've also added a note to the Firefox 52 release notes to cover it:

https://developer.mozilla.org/en-US/Firefox/Releases/52#DOM_HTML_DOM

Please let me know if this description works for you. Thanks!
Comment 16 User image (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com) 2017-01-11 07:14:33 PST
That works, thanks!
Comment 17 User image qre 2017-02-08 05:51:44 PST
ff version 53.0a2 (2017-02-08)
When I installed 53 version touch events were working. But till yesterday | today update. Now again they are not firing up (
Comment 18 User image (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com) 2017-02-08 05:56:14 PST
Can you check in about:support to see what it says for "Multiprocess Windows" and for "Asynchronous Pan/Zoom"?
Comment 19 User image qre 2017-02-08 06:01:22 PST
Multiprocess Windows 	0/1 (Disabled by accessibility tools)
Asynchronous Pan/Zoom	none
Comment 20 User image (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com) 2017-02-08 06:20:15 PST
Touch events are only available if e10s and APZ are on. For you it seems that they are off, because of accessibility tools. I know that the e10s team is still working on hammering out the accessibility problems. For now you can force-enable e10s by adding a pref browser.tabs.remote.force-enable in about:config and setting it to true.
Comment 21 User image qre 2017-02-08 06:30:46 PST
> For now you can force-enable e10s by adding a pref browser.tabs.remote.force-enable in about:config and setting it to true.

Following your instructions yeah - they're again firing up. Thanks!

its strange, i didn't opt anything in these days. Updates were auto when starting-up ff. And suddenly it turned that features off?

Note You need to log in before you can comment on or make changes to this bug.